"""empty message

Revision ID: 029b8d4b4740
Revises: 
Create Date: 2018-03-17 21:57:03.389168

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '029b8d4b4740'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=64), nullable=True),
    sa.Column('email', sa.String(length=128), nullable=True),
    sa.Column('password_hash', sa.String(length=128), nullable=True),
    sa.Column('token', sa.String(length=32), nullable=True),
    sa.Column('token_expiration', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_user_email'), 'user', ['email'], unique=True)
    op.create_index(op.f('ix_user_token'), 'user', ['token'], unique=True)
    op.create_index(op.f('ix_user_username'), 'user', ['username'], unique=True)
    op.create_table('task',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('keyword', sa.String(length=256), nullable=True),
    sa.Column('intention', sa.String(length=256), nullable=True),
    sa.Column('evaluation_standard', sa.String(length=32), nullable=True),
    sa.Column('evaluation_standard_other', sa.String(length=32), nullable=True),
    sa.Column('click_standard', sa.String(length=32), nullable=True),
    sa.Column('click_standard_other', sa.String(length=32), nullable=True),
    sa.Column('satisfaction', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('query',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('url', sa.String(length=2048), nullable=True),
    sa.Column('keyword', sa.String(length=256), nullable=True),
    sa.Column('start_timestamp', sa.DateTime(), nullable=True),
    sa.Column('end_timestamp', sa.DateTime(), nullable=True),
    sa.Column('dwell_time', sa.Interval(), nullable=True),
    sa.Column('mouse_moves', sa.Text(length=1048576), nullable=True),
    sa.Column('satisfaction', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('task_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['task_id'], ['task.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_query_keyword'), 'query', ['keyword'], unique=False)
    op.create_table('clicked_image',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('url', sa.String(length=2048), nullable=True),
    sa.Column('keyword', sa.String(length=256), nullable=True),
    sa.Column('start_timestamp', sa.DateTime(), nullable=True),
    sa.Column('end_timestamp', sa.DateTime(), nullable=True),
    sa.Column('dwell_time', sa.Interval(), nullable=True),
    sa.Column('mouse_moves', sa.Text(length=1048576), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('query_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['query_id'], ['query.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_clicked_image_keyword'), 'clicked_image', ['keyword'], unique=False)
    op.create_table('image',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('url', sa.String(length=2048), nullable=True),
    sa.Column('description', sa.String(length=2048), nullable=True),
    sa.Column('top', sa.Float(), nullable=True),
    sa.Column('left', sa.Float(), nullable=True),
    sa.Column('width', sa.Float(), nullable=True),
    sa.Column('height', sa.Float(), nullable=True),
    sa.Column('hover_time', sa.Interval(), nullable=True),
    sa.Column('view_time', sa.Interval(), nullable=True),
    sa.Column('relevance', sa.Integer(), nullable=True),
    sa.Column('usefulness', sa.Integer(), nullable=True),
    sa.Column('query_id', sa.Integer(), nullable=True),
    sa.Column('clicked_image_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['clicked_image_id'], ['clicked_image.id'], ),
    sa.ForeignKeyConstraint(['query_id'], ['query.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('image')
    op.drop_index(op.f('ix_clicked_image_keyword'), table_name='clicked_image')
    op.drop_table('clicked_image')
    op.drop_index(op.f('ix_query_keyword'), table_name='query')
    op.drop_table('query')
    op.drop_table('task')
    op.drop_index(op.f('ix_user_username'), table_name='user')
    op.drop_index(op.f('ix_user_token'), table_name='user')
    op.drop_index(op.f('ix_user_email'), table_name='user')
    op.drop_table('user')
    # ### end Alembic commands ###
